Update candidate
curl --request POST \
--url https://api.gospott.com/candidate-portal/{candidateId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"latestCvAttachmentId": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
],
"socialMedia": [
{
"url": "<string>",
"isPrimary": true
}
]
}
'import requests
url = "https://api.gospott.com/candidate-portal/{candidateId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"latestCvAttachmentId": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": True
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": True
}
],
"socialMedia": [
{
"url": "<string>",
"isPrimary": True
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
latestCvAttachmentId: '<string>',
emails: [{email: 'jsmith@example.com', isPrimary: true}],
phoneNumbers: [{phoneNumber: '<string>', isPrimary: true}],
socialMedia: [{url: '<string>', isPrimary: true}]
})
};
fetch('https://api.gospott.com/candidate-portal/{candidateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "Invalid phone number format",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Candidate not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Candidate Portal
Update candidate
Update existing candidate from CV and form details. Used by the candidate portal when an existing candidate updates their profile.
POST
/
candidate-portal
/
{candidateId}
Update candidate
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Body
application/json
Required string length:
1 - 100Pattern:
^(?=.*\p{L})[\p{L}\p{M} '’.-]+$Required string length:
1 - 100Pattern:
^(?=.*\p{L})[\p{L}\p{M} '’.-]+$Required string length:
1 - 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Candidate updated successfully
Was this page helpful?
⌘I

